OGRE: Ogre::RTShader::ShaderProgramWriterCGFactory Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::RTShader::ShaderProgramWriterCGFactory Class Reference
Core » RTShader

CG program writer factory implementation. More...

`#include <OgreShaderCGProgramWriter.h>`

Inheritance diagram for Ogre::RTShader::ShaderProgramWriterCGFactory:
[legend]

## Public Member Functions
| ShaderProgramWriterCGFactory ()
virtual | ~ShaderProgramWriterCGFactory ()
virtual ProgramWriter * | create (void)
virtual const String & | getTargetLanguage (void) const
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...

## Detailed Description

CG program writer factory implementation.

See also
  ProgramWriterFactory

## Constructor & Destructor Documentation

## ◆ ShaderProgramWriterCGFactory()

Ogre::RTShader::ShaderProgramWriterCGFactory::ShaderProgramWriterCGFactory | ( |  | ) |
| inline

## ◆ ~ShaderProgramWriterCGFactory()

virtual Ogre::RTShader::ShaderProgramWriterCGFactory::~ShaderProgramWriterCGFactory | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ create()

virtual ProgramWriter* Ogre::RTShader::ShaderProgramWriterCGFactory::create | ( | void |  | ) |
| inlinevirtual

See also
  ProgramWriterFactory::create

Implements Ogre::RTShader::ProgramWriterFactory.

References OGRE_NEW.

## ◆ getTargetLanguage()

virtual const String& Ogre::RTShader::ShaderProgramWriterCGFactory::getTargetLanguage | ( | void |  | ) | const
| inlinevirtual

See also
  ProgramWriterFactory::getTargetLanguage

Implements Ogre::RTShader::ProgramWriterFactory.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

The documentation for this class was generated from the following file:

- OgreShaderCGProgramWriter.h